[jdom-interest] Imcompatibility with GPL

Elliotte Harold elharo at metalab.unc.edu
Thu Sep 28 09:30:57 PDT 2006

Tatu Saloranta wrote:

> It would first be necessary to know what these issues
> are.

I'm not sure the JDOM license actually is incompatible. There may be 
some confusion at the FSF because the JDOM license uses 4 clauses to say 
what most Modified BSD licenses say ion 3. Therefore, they make think 
it's the incompatible 4-clause original BSD license instead of the 
compatible 3-clause modified BSD license.

This is a good reason not to go making up your own licenses. Even if 
they're legally correct, they just confuse people.

Elliotte Rusty Harold  elharo at metalab.unc.edu
Java I/O 2nd Edition Just Published!

More information about the jdom-interest mailing list